# -*- coding: utf-8 -*-

from image_cropping import ImageCropWidget
from django import forms

from acomea.contact.models import Group, Contact
from acomea.engagement import models


class CategoryAdminForm(forms.ModelForm):
    class Meta:
        widgets = {
            'icon': ImageCropWidget,
            'tile': ImageCropWidget,
            'cover': ImageCropWidget,
        }


class AjaxSetGroupsForm(forms.Form):
    category_slug = forms.SlugField(required=True, max_length=255)

    def __init__(self, *args, **kwargs):
        self.user = kwargs.pop('user', None)
        super(AjaxSetGroupsForm, self).__init__(*args, **kwargs)
        self.category = None

    def clean_category_slug(self):
        category_slug = self.cleaned_data['category_slug']
        try:
            self.category = models.Category.objects.get(slug=category_slug)
        except:
            raise forms.ValidationError('invalid category slug')
        return category_slug

    def save(self):
        group, created = Group.objects.get_or_create(name=self.category.name)
        try:
            contact = Contact.objects.get(user=self.user)
            contact.groups.add(group)  # signal "contact_group_signal" change "first_group" field, to use contact instace remember to reload
        except:
            pass
