# coding: utf-8

import json

from django.http import HttpResponse
from django.views.generic import FormView

from acomea.engagement.forms import AjaxSetGroupsForm


class AjaxSetGroupsView(FormView):
    form_class = AjaxSetGroupsForm
    template_name = None

    def get(self, request):
        data = dict()
        return HttpResponse(json.dumps(data), mimetype='application/json')

    def post(self, request, *args, **kwargs):
        if request.user.is_authenticated():
            form = self.form_class(request.POST, user=request.user)
            if form.is_valid():
                return self.form_valid(form)
            else:
                return self.form_invalid(form)
        return HttpResponse(json.dumps({}), mimetype='application/json')

    def form_invalid(self, form):
        data = {'result': 'error', 'message': form.errors}
        return HttpResponse(json.dumps(data), content_type="application/json")

    def form_valid(self, form):
        form.save()
        data = {'result': 'success'}
        return HttpResponse(json.dumps(data), content_type="application/json")
